SMBBETA

Add Business

Last updated Oct 10, 2026View as MarkdownAgent setup / MCP
POST
/v1/businesses

Adds an existing Business to the selected Workspace, or creates a new sourced Business when no match exists, and starts one collaborative version. Requires edit access and returns a receipt.

Authorization

AuthorizationBearer <token>

Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.

In: header

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/businesses" \  -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{}'
{  "business_id": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",  "name": "string",  "status": "active",  "fields": {},  "updated_fields": [    "string"  ],  "revision": 1,  "based_on_business_revision": 1,  "access_level": "view",  "created": true,  "business_created": true,  "idempotent_replay": true,  "request_id": "string",  "receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "additional_observations": [    {      "observation_id": "d5b663f3-1b87-4f94-9f66-dbd8d5553132",      "name": "string",      "mapping_status": "mapped"    }  ]}